using GameDev.CoreSystems;
using UnityEngine;

namespace AsteroidGame.ScriptableObjects
{
    public class SoWeaponConfig : ScriptableObject, IWeapon
    {
        [SerializeField] private float _fireRate;
        [SerializeField] private float _damage;

        public float FireRate
        {
            get => _fireRate;
            set => _fireRate = value;
        }

        public float Damage
        {
            get => _damage;
            set => _damage = value;
        }
    }
}